Bug 998659 - Use one stateful knowledge session per BPM process instance
Use one stateful knowledge session per BPM process instance
Status: CLOSED WORKSFORME
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: David Virgil
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 13:46 EDT by David Ward
Modified: 2016-05-08 21:24 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
There is a performance impact if you use the same stateful knowledge session across multiple process instances. This is because the one-session-for-all-processInstances model is inherently single threaded. When the transaction is started, it will pessimistically lock the SessionInfo table, blocking other threads. To avoid this, create mapping so that a session is only ever used for one process instance and use a unique JPA entity manager.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-14 13:08:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ENTESB-3628 Major Open Use one stateful knowledge session per BPM process instance 2016-05-09 05:49 EDT
JBoss Issue Tracker SWITCHYARD-1584 Major Closed Use one stateful knowledge session per BPM process instance 2016-05-09 05:49 EDT

  None (edit)
Description David Ward 2013-08-19 13:46:49 EDT
See JBoss JIRA: SWITCHYARD-1584
Comment 2 tcunning 2015-07-14 13:08:30 EDT
We're moving to using JIRA to track issues for Fuse 6.2.1.    I've logged https://issues.jboss.org/browse/ENTESB-3628 to track the product version of this issue.    Closing and work will continue in the associated JIRA.
Comment 3 JBoss JIRA Server 2015-12-21 04:48:00 EST
David virgil naranjo <david.virgil.naranjo@gmail.com> updated the status of jira SWITCHYARD-1584 to Closed

Note You need to log in before you can comment on or make changes to this bug.